/*
     File: main.cpp
     Khrono : Watch, timer and countdown utility for KDE 2
     Copyright (C) 1999,2000,2001 Axel von Arnim <vonarnim@club-internet.fr>

     This program is free software; you can redistribute it and/or
     modify it under the terms of the GNU General Public License
     as published by the Free Software Foundation; either
     version 2 of the License, or (at your option) any later
     version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "khronopanel.h"
#include "khronodock.h"
#include <stdlib.h>
#include <stdio.h>
#include <kapp.h>
#include <kconfig.h>
#include <kwin.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include "main.h"

int main( int argc, char **argv )
{
  // options sur la ligne de commande
/*  static KCmdLineOptions options[] = {
     { "null" } // End of options.
  };
*/

  KAboutData aboutData(
    APP_NAME,
    PROG_NAME,
    VERSION,
    SHORT_DESCRIPTION,
    LICENSE_TYPE,
    COPYRIGHT,
    0,
    HOMEPAGE,
    EMAIL
  );
  aboutData.addAuthor(AUTHOR, 0, EMAIL, AUTHOR_WEB);
  aboutData.addCredit(CREDIT1, CREDIT1_TASK);
  aboutData.addCredit(CREDIT2, CREDIT2_TASK);
  
  KCmdLineArgs::init(argc, argv, &aboutData);
//  KCmdLineArgs::init(argc, argv, APP_NAME, DESCRIPTION, VERSION);
/*  KCmdLineArgs::addCmdLineOptions( options );
  KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
  for(int i = 0; i<args->count(); i++) {
    if( (!strcmp(argv[i],"-h")) || (!strcmp(argv[i],"--help")) ) {
      printf("\n%s %s. %s.\nAuthor: %s. License: %s.\nContact: %s\n\n", APP_NAME, VERSION, DECRIPTION, AUTHOR, LICENSE, EMAIL);
      printf("Usage: %s [option]\n", APP_NAME);
      printf("Specific options:\n");
      printf("  -h, --help      this help message\n");
      printf("  -v, --version   print name and version number\n");
      printf("Standard X options:\n  -display\n  -geometry\n  ...\n");
      printf("\n");
      exit(0);
    } else
    if( (!strcmp(argv[i],"-v")) || (!strcmp(argv[i],"--version")) ) {
      printf("%s version %s\n", APP_NAME, VERSION);
      exit(0);
    } else {
      printf("%s: unknown option: %s\nType \"%s -h\" for help.\n", APP_NAME, argv[i], APP_NAME);
      exit(0);
    }
  }*/
//  args->clear();

  KApplication a;
  KhronoPanel *clock = new KhronoPanel( 0, "khrono_panel" );
  KhronoDock *dock = new KhronoDock( 0, "dock_khrono", clock->getDisplay() );
//  QObject::connect(clock, SIGNAL(themeChanged(QColorGroup*)),
//                   dock, SLOT(setTheme(QColorGroup*)) );
// KDE 1.x:  KWM::setDockWindow( dock->winId() );
//  KWM::setMiniIcon(clock->winId(), QPixmap(KApplication::localkdedir()+"/share/icons/mini/mini-khrono.xpm"));
  a.setMainWidget( clock );
  clock->setConfig(a.config());
  clock->show();
  dock->show();
  return a.exec();
}
